---
title: HTMLMediaElement.onencrypted
slug: Web/API/HTMLMediaElement/onencrypted
---
<p>{{APIRef("Encrypted Media Extensions")}}{{ SeeCompatTable() }}</p>

<p><span class="seoSummary">The <strong><code>onencrypted</code></strong> property of the {{domxref("HTMLMediaElement")}} is an event handler, fired whenever an {{Event("encrypted")}} event occurs, denoting the media is encrypted.</span></p>

<p>This interface inherits from the {{domxref("ExtendableEvent")}} interface.</p>

<p>{{InheritanceDiagram(700, 60, 20)}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">HTMLMediaElement.onencrypted = function(encrypted) { ... }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME','#dom-htmlmediaelement-onencrypted','onencrypted')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLMediaElement.onencrypted")}}</p>
</div>
